[
  {"version":1},
  {"ingredient":{"id":"storagedrawers:personal_key_ftb"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"expanded_combat:sun_s_grace"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"expanded_combat:diamond_broad_sword"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"expanded_combat:golden_katana"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"cataclysm:ignitium_ingot"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"expanded_combat:diamond_gauntlet"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"expanded_combat:golden_gauntlet"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"expanded_combat:netherite_bow"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"expanded_combat:diamond_cross_bow"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"expanded_combat:golden_cross_bow"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"expanded_combat:iron_bow"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"expanded_combat:golden_bow"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"expanded_combat:diamond_bow"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"expanded_combat:iron_cross_bow"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"expanded_combat:shield","components":{"expanded_combat:shield_materials":{"dr_material":"expanded_combat:iron","m_material":"expanded_combat:iron","last_repair_number":0,"ul_material":"expanded_combat:iron","ur_material":"expanded_combat:iron","dl_material":"expanded_combat:iron"}}},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"expanded_combat:fire_resistant_shield","components":{"expanded_combat:shield_materials":{"dr_material":"expanded_combat:netherite","m_material":"expanded_combat:netherite","last_repair_number":0,"ul_material":"expanded_combat:netherite","ur_material":"expanded_combat:netherite","dl_material":"expanded_combat:netherite"}}},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"minecraft:smithing_table"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"expanded_combat:shield","components":{"expanded_combat:shield_materials":{"dr_material":"expanded_combat:gold","m_material":"expanded_combat:gold","last_repair_number":0,"ul_material":"expanded_combat:gold","ur_material":"expanded_combat:gold","dl_material":"expanded_combat:gold"}}},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"runic:nullification_rune"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"runic:enhanced_rune","components":{"!minecraft:attribute_modifiers":{},"minecraft:custom_data":{"runic_stats":{"attack_speed":-1}}}},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"runic:upgrade_rune"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"irons_spellbooks:alchemist_cauldron"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"irons_spellbooks:armor_pile"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"irons_spellbooks:pedestal"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"irons_spellbooks:arcane_anvil"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"irons_spellbooks:scroll_forge"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"irons_spellbooks:inscription_table"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"irons_spellbooks:deepslate_mithril_ore"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"irons_spellbooks:mithril_ore"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"minecraft:potion","components":{"minecraft:potion_contents":{"potion":"irons_spellbooks:instant_mana_one"}}},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"minecraft:tipped_arrow","components":{"minecraft:potion_contents":{"potion":"irons_spellbooks:instant_mana_two"}}},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"minecraft:tipped_arrow","components":{"minecraft:potion_contents":{"potion":"irons_spellbooks:instant_mana_one"}}},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"minecraft:tipped_arrow","components":{"minecraft:potion_contents":{"potion":"irons_spellbooks:instant_mana_four"}}},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"minecraft:tipped_arrow","components":{"minecraft:potion_contents":{"potion":"irons_spellbooks:instant_mana_three"}}},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"irons_spellbooks:greater_oakskin_elixir"},"type":"fluid_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"irons_spellbooks:invisibility_elixir"},"type":"fluid_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"irons_spellbooks:blood"},"type":"fluid_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"irons_spellbooks:expulsion_ring"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"irons_spellbooks:amethyst_resonance_charm"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"irons_spellbooks:concentration_amulet"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"irons_spellbooks:rare_ink"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"irons_spellbooks:cooldown_rune"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"irons_spellbooks:blank_rune"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"irons_spellbooks:blood_rune"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"irons_spellbooks:evocation_rune"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"irons_spellbooks:holy_rune"},"type":"item_stack","bookmarkType":"INGREDIENT"},
  {"ingredient":{"id":"irons_spellbooks:wizard_chestplate","components":{"irons_spellbooks:spell_container":{"mustEquip":true,"data":[],"maxSpells":1,"spellWheel":true}}},"type":"item_stack","bookmarkType":"INGREDIENT"}
]